@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");

/* =========VARIABLES-CSS============= */
:root {
  --header-height: 3rem;

  /* ====COLORS==== */
  --title-color: #0b0a0a;
  --text-color: #403a3a;
  --text-color-light: #707070;
  --container-color: #fafafa;
  --container-color-alt: #f0efef;
  --body-color: #fcfcfc;

  /* ====FONT-&-TYPOGRAPHY==== */
  --body-font: "Poppins", sans-serif;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1rem;
  --normal-font-size: 0.938rem;
  --small-font-size: 0.875rem;
  --smaller-font-size: 0.813rem;

  /* ====FONT-WEIGHT==== */
  --font-medium: 500;
  --font-semi-bold: 600;

  /* ====MARGINS==== */
  --mb-1: 0.5rem;
  --mb-2: 1rem;
  --mb-3: 1.5rem;
  /* ====Z-INDEX==== */
  --z-tooltip: 10;
  --z-fixed: 100;
}

/* ======================BASE======================= */
*,
*::after,
*::before {
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
}
/* ======VARIABLES-DARK-THEMES======== */
body.dark-theme {
  --title-color: #f2f2f2;
  --text-color: #bfbfbf;

  --container-color: #212121;
  --container-color-alt: #181616;
  --body-color: #2b2b2b;
}

/* ======Button-DARK/LIGHT====== */
.change-theme {
  position: absolute;
  right: 0;
  top: 2.2rem;
  display: flex;
  color: var(--text-color);
  font-size: 1.2rem;
  cursor: pointer;
}
.change-theme:hover {
  color: var(--title-color);
}
/* ===========FONT_SIZE VARIABLES TO SCALE CV */
body.scale-cv {
  --h1-font-size: 0.938rem;
  --h2-font-size: 0.938rem;
  --h3-font-size: 00.875rem;
  --normal-font-size: 0.813rem;
  --small-font-size: 0.75rem;
  --smaller-font-size: 0.688rem;
}

/* ========GENERATE _PDF_BUTTON============== */
.generate-pdf {
  display: none;
  position: absolute;
  top: 2.2rem;
  left: 0;
  font-size: 1.2rem;
  color: var(--text-color);
  cursor: pointer;
}

.generate-pdf:hover {
  color: var(--title-color);
}
/* ======CLASSES TO REDUCE SIZE AND PRINT OF A4 SHEET ===*/
.scale-cv .change-theme,
.scale-cv .generate-pdf {
  display: none;
}

.scale-cv .bd-container {
  max-width: 600px;
}
.scale-cv.section {
  padding: 1.5rem 0.6rem;
}
.scale-cv .section-title {
  margin-bottom: 0.75rem;
}

.scale-cv .resume__left,
.scale-cv .resume__right {
  padding: 0 1rem;
}

.scale-cv .home__img {
  width: 90px;
  height: 90px;
}

.scale-cv .home__container {
  gap: 1.5rem;
}
.scale-cv .home__data {
  gap: 0.25rem;
}

.scale-cv.home__address,
.scale-cv.social__container {
  gap: 0.75rem;
}
.scale-cv.home__icon,
.scale-cv.social__icon,
.scale-cv.interests__icon {
  font-size: 1rem;
}
.scale-cv .education__container,
.scale-cv .profile__container {
  gap: 1rem;
}
.scale-cv .education__time {
  padding-right: 0.5rem;
}

.scale-cv .education__rounder {
  width: 11px;
  height: 11px;
  margin-top: 0.22rem;
}

.scale-cv .education__line {
  width: 1px;
  height: 110%;
  transform: translate(5x, 0);
}

body {
  margin: 0 0 1rem 0;
  padding: 0;
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
}
h1,
h2,
h3,
ul,
p {
  margin: 0;
}
h1,
h2,
h3 {
  color: var(--title-color);
  font-weight: var(--font-medium);
}

ul {
  padding: 0;
  list-style: none;
}
a {
  text-decoration: none;
  color: var(--text-color-light);
}
img {
  max-width: 100%;
  height: auto;
}

/* =====CSS CLASSESS===== */
.section {
  padding: 1.5rem;
}
.section-title {
  font-size: var(--h2-font-size);
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
  text-transform: uppercase;
  letter-spacing: 0.35rem;
  text-align: center;
  margin-bottom: var(--mb-3);
}

/* ==========LAYOUT============ */
.bd-container {
  max-width: 968px;
  width: calc(100% - 3rem);
  margin-left: var(--mb-3);
  margin-right: var(--mb-3);
}
.bd-grid {
  display: grid;
  gap: 1.5rem;
}
.l-header {
  width: 100%;
  position: fixed;
  bottom: 0;
  left: 0;
  z-index: var(--z-fixed);
  background-color: var(--body-color);
  box-shadow: 0 -1px 4px rgba(0, 0, 0, 0.2);
  transition: 0.3s;
}

/* =====NAV=========== */
.nav {
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

@media screen and (max-width: 968px) {
  .nav__menu {
    position: fixed;
    bottom: -100%;
    left: 0;
    width: 100%;
    padding: 2rem 1.5rem;
    background-color: var(--body-color);
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.2);
    border-radius: 1rem 1rem 0 0;
    z-index: var(--z-fixed);
    transition: 0.3s;
  }
}

.nav__logo,
.nav__toggle {
  color: var(--title-color);
  font-weight: var(--font-medium);
}
.nav__toggle {
  font-size: 1.2rem;
  cursor: pointer;
}
.nav__item {
  text-align: center;
}
.nav__list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}
.nav__link {
  display: flex;
  flex-direction: column;
  font-size: var(--smaller-font-size);

  font-weight: var(--font-medium);
}
.nav__link:hover {
  color: var(--title-color);
}
.nav__icon {
  font-size: 1.2rem;
  margin-bottom: var(--mb-1);
}
/* ===SHOW-MENU===== */
.show-menu {
  bottom: var(--header-height);
}

/* ===ACTIVE-MENU-LINK==== */
.active-link {
  color: var(--title-color);
}

/* ============HOME=========== */
.home {
  position: relative;
}
.home__container {
  gap: 3rem;
}
.home__data {
  gap: 0.5rem;
  text-align: center;
}
.home__img {
  width: 140px;
  height: 140px;
  border-radius: 50%;
  justify-self: center;
}
.home__title {
  font-size: var(--h1-font-size);
}
.home__profession {
  font-size: var(--normal-font-size);
  margin-bottom: var(--mb-1);
}
.home__address {
  gap: 1rem;
}

.home__information {
  display: flex;
  align-items: center;
  font-size: var(--small-font-size);
}
.home__icon {
  font-size: 1.2rem;
  margin-right: 0.25rem;
}
.home__btn-mobile {
  display: inline-block;
  border: 2px solid var(--text-color);
  color: var(--title-color);
  padding: 1rem 2rem;
  border-radius: 0.25rem;
  transition: 0.3s;
  font-weight: var(--font-medium);
  margin-top: var(--mb-3);
  text-transform: capitalize;
}

.home__btn-mobile:hover {
  background-color: var(--text-color);
  color: var(--container-color);
}

/* =======SOCIAL============ */
.social__container {
  display: grid;
  grid-template-columns: max-content;
  gap: 1rem;
}
.social__link {
  display: inline-flex;
  align-items: center;
  font-size: var(--small-font-size);
  color: var(--text-color);
}
.social__link:hover {
  color: var(--title-color);
}
.social__icon {
  font-size: 1.2rem;
  margin-right: 0.25rem;
}
/* ===========EDUCATION================= */
.education__content {
  display: flex;
}
.education__time {
  padding-right: 1rem;
}
.education__rounder {
  background: var(--text-color-light);
  position: relative;
  display: block;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  margin-top: 0.25rem;
}
.education__line {
  display: block;
  width: 2px;
  height: 110%;
  background-color: var(--text-color-light);
  transform: translate(7px, 0);
}
.education__data {
  gap: 0.5rem;
}
.education__title {
  font-size: var(--h3-font-size);
}
.education__studies {
  font-size: var(--small-font-size);
}
.education__year {
  font-size: var(--smaller-font-size);
}

/* ============PROFILE============== */
.profile__description {
  text-align: justify;
}

/* ==============PROJECTS============== */
.project__title {
  font-size: var(--h3-font-size);
  margin-bottom: var(--mb-1);
}
.project__description {
  text-align: justify;
}

/* ============SKILLS============ */
.languages__content {
  grid-template-columns: repeat(2, 1fr);
}
.languages__content {
  gap: 0;
}
.skills__name,
.languages__name {
  display: flex;
  align-items: center;
  margin-bottom: var(--mb-3);
}
.skills__circle,
.languages__circle {
  display: inline-block;
  width: 5px;
  height: 5px;
  border-radius: 50%;
  background-color: var(--text-color);
  margin-right: 0.75rem;
}
.skills__content {
  display: flex;

  justify-content: space-between;
}
/* ==========INTERESTS============= */
.interests__container {
  grid-template-columns: repeat(3, 1fr);
  margin-top: var(--mb-2);
}
.interests__content {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.interests__icon {
  font-size: 1.5rem;
  color: var(--text-color-light);
  margin-bottom: 0.25rem;
}

/* =======SCROLL2TOP=========== */
.scroll-top {
  position: fixed;
  right: 1rem;
  bottom: -20%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0.3rem;
  background-color: var(--container-color);
  border-radius: 50%;
  z-index: var(--z-tooltip);
  transition: 0.4s;
  /* visibility: hidden; */
}
.scroll-top__icon {
  font-size: 1.2rem;
  color: var(--text-color);
}

.show-scroll {
  visibility: visible;
  bottom: 5rem;
}

/* ===================MEDIA-QUERIES============ */
@media screem and (max-width: 320px) {
  .nav__list {
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem 0.5rem;
  }
}

@media screen and (min-width: 968px) {
  body {
    margin: 3rem 0;
  }
  .bd-container {
    margin-left: auto;
    margin-right: auto;
  }
  .l-header,
  .scroll-top {
    display: none;
  }
  .resume {
    display: grid;
    grid-template-columns: 0.5fr 1fr;
    background-color: var(--container-color);
    box-shadow: 0 0 8px rgba(13, 12, 12, 0.2);
  }
  .resume__left {
    background-color: var(--container-color-alt);
  }
  .resume__right,
  .resume__left {
    padding: 0 1.5rem;
  }
  .section-title,
  .profile__description {
    text-align: initial;
  }
  .home__container {
    gap: 1.5rem;
  }
  .home__btn-mobile {
    display: none;
  }
  .generate-pdf {
    display: inline-block;
  }
}
